//+------------------------------------------------------------------+
//|                                                   WhiteNoise.mq5 |
//|                        Copyright 2023, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property script_show_inputs


#include <Spectrum.mqh>


input ENUM_SPECTRUM_PLOT to_plot=PLOT_POWER_SPECTRUM;


//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   int num_samples = 500;
   double inputs[];
   MathSrand(2023);
   ArrayResize(inputs,num_samples);
   
   for (int i = 0; i < num_samples; i++) 
    {
        inputs[i] = ((double)rand() / SHORT_MAX) * 32767 - 32767/2;
    }
    
   CSpectrumAnalysis sp(true,inputs);
   
   sp.Plot(to_plot);  
  }
//+------------------------------------------------------------------+
